# Generated by Django 5.0.10 on 2024-12-13 00:15

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('measurements', '0003_instantmeasurement_active_demand_and_more'),
        # ('transductors', '0001_initial'),
        ('devices', '0001_initial'),
    ]

    operations = [
        migrations.RemoveIndex(
            model_name='cumulativemeasurement',
            name='cumu_transductor_date_idx',
        ),
        migrations.RemoveIndex(
            model_name='instantmeasurement',
            name='inst_transductor_date_idx',
        ),
        migrations.AlterField(
            model_name='cumulativemeasurement',
            name='collection_date',
            field=models.DateTimeField(blank=True, db_index=True, null=True),
        ),
        migrations.AlterField(
            model_name='instantmeasurement',
            name='collection_date',
            field=models.DateTimeField(blank=True, db_index=True, null=True),
        ),
        migrations.AddIndex(
            model_name='cumulativemeasurement',
            index=models.Index(fields=['transductor', '-collection_date'], name='idx_transd_date_cum_measure'),
        ),
        migrations.AddIndex(
            model_name='instantmeasurement',
            index=models.Index(fields=['transductor', '-collection_date'], name='idx_transd_date_inst_measure'),
        ),
    ]
